/* eslint-disable react-refresh/only-export-components */
import { createFileRoute } from '@tanstack/react-router'
import { CategoryEditPage } from '@/features/categories'

export const Route = createFileRoute('/_authenticated/categories/$categoryId')({
  component: CategoryEditRoute,
})

function CategoryEditRoute() {
  const { categoryId } = Route.useParams()
  return <CategoryEditPage categoryId={categoryId} />
}
